name = "adacutilstrii18n_tests"
version = "0.1.0-tst"
licenses = "Apache-2.0"
authors = ["name_of_copyright_owner"]

maintainers = ["name_of_maintainer <maintainer@domain.exp>"]
maintainers-logins = ["maintainer"]

description = "Description of my component"

project-files = ["../bld/adacutilstrii18n-lib-tests.gpr"]

[[depends-on]]
adacutilstrii18n = "*"
# sterna_devtools_testtools_aunit = ">=3.9.0"
# aunit = "^23.0.0"

[build-profiles]
adacutilstrii18n_tests = "Development"
adacutilstrii18n = "Validation"
# sterna_devtools_testtools_aunit = "Release"
# aunit = "Release"

[[pins]]
adacutilstrii18n = { path='..' }
# sterna_devtools_testtools_aunit = { path='../../sterdevttestauni' }

[configuration.variables]
Trace_Level = {type = "Enum", values = ["Info", "Details", "Debug"], default = "Info"}

[configuration]
auto_gpr_with = false
output_dir = "../bld"

[build-switches]
"*".Ada_Version = "Ada12"
# "*".Ada_Version = "Ada2022"
# "*".Ada_Version = "GNAT_Extensions"
"*".Runtime_Checks = "Everything" 
"*".Contracts = "Yes" 

Development.Optimization =  "Debug" 
Development.Debug_Info = "Yes" 
# Development.Runtime_Checks = "Everything" 
Development.Compile_Checks =  "Errors"  
# -Development.Contracts = "Yes" 
Development.style_checks = [
      "-gnatyB",   # Check Boolean operators
      "-gnaty-d",  # Disable check no DOS line terminators present
      "-gnatye",   # Check end/exit labels
      "-gnatyf",   # No form feeds or vertical tabs
      "-gnatyI",   # check mode IN keywords
      "-gnatyM120",# Check maximum line length
      "-gnatyO",   # Check that overriding subprograms are explicitly marked as such
      "-gnatyS",   # Check no statements after THEN/ELSE
      "-gnatyx"    # Check extra parentheses
]

Validation.Optimization = "Performance" 
Validation.Debug_Info = "Yes" 
# Validation.Runtime_Checks = "Everything" 
Validation.Compile_Checks = "Warnings"
# Validation.Contracts = "Yes" 
Validation.Style_Checks = [
      "-gnaty3",   # Specify indentation level of 3
      "-gnatya",   # Check attribute casing
      "-gnatyA",   # Use of array index numbers in array attributes
      "-gnatyB",   # Check Boolean operators
      "-gnatyb",   # Blanks not allowed at statement end
      "-gnatyc",   # Check comments
      "-gnaty-d",  # Disable check no DOS line terminators present
#     "-gnatyD",   # Check declared identifiers in mixed case
      "-gnatye",   # Check end/exit labels
      "-gnatyf",   # No form feeds or vertical tabs
      "-gnatyh",   # No horizontal tabs
      "-gnatyi",   # Check if-then layout
      "-gnatyI",   # check mode IN keywords
      "-gnatyk",   # Check keyword casing
      "-gnatyl",   # Check layout
      "-gnatyM120",# Check maximum line length
      "-gnatyn",   # Check casing of entities in Standard
      "-gnatyO",   # Check that overriding subprograms are explicitly marked as such
      "-gnatyp",   # Check pragma casing
#     "-gnatyr",   # Check identifier references casing
      "-gnatyS",   # Check no statements after THEN/ELSE
      "-gnatyt",   # Check token spacing
      "-gnatyu",   # Check unnecessary blank lines
      "-gnatyx"    # Check extra parentheses
]
Release.Optimization = "Performance" 
Release.Debug_Info = "No" 
# Release.Runtime_Checks = "Everything" 
Release.Compile_Checks = "Warnings"  
# Release.Contracts = "Yes" 
Release.Style_Checks = [
      "-gnaty3",   # Specify indentation level of 3
      "-gnatya",   # Check attribute casing
      "-gnatyA",   # Use of array index numbers in array attributes
      "-gnatyB",   # Check Boolean operators
      "-gnatyb",   # Blanks not allowed at statement end
      "-gnatyc",   # Check comments
      "-gnaty-d",  # Disable check no DOS line terminators present
#     "-gnatyD",   # Check declared identifiers in mixed case
      "-gnatye",   # Check end/exit labels
      "-gnatyf",   # No form feeds or vertical tabs
      "-gnatyh",   # No horizontal tabs
      "-gnatyi",   # Check if-then layout
      "-gnatyI",   # check mode IN keywords
      "-gnatyk",   # Check keyword casing
      "-gnatyl",   # Check layout
      "-gnatyM120",# Check maximum line length
      "-gnatyn",   # Check casing of entities in Standard
      "-gnatyO",   # Check that overriding subprograms are explicitly marked as such
      "-gnatyp",   # Check pragma casing
#     "-gnatyr",   # Check identifier references casing
      "-gnatyS",   # Check no statements after THEN/ELSE
      "-gnatyt",   # Check token spacing
      "-gnatyu",   # Check unnecessary blank lines
      "-gnatyx"    # Check extra parentheses
]
